#!/bin/bash

# Install Bacula components
sudo apt-get -q -y install bacula-fd

# Get hostname and IP
HOSTNAME=`hostname`
DIRHOSTNAME="baculaserver"

# Collect default passwords
. /etc/bacula/common_default_passwords

# Configure bacula-fd
cat > /etc/bacula/bacula-fd.conf << EOF
Director {
  Name = ${DIRHOSTNAME}-dir
  Password = "${FDPASSWD}"
}

FileDaemon {
  Name = ${HOSTNAME}-fd
  FDport = 9102
  WorkingDirectory = /var/lib/bacula
  Pid Directory = /var/run/bacula
  Maximum Concurrent Jobs = 20
  FDAddress = ${HOSTNAME}
}

Messages {
  Name = Standard
  director = ${DIRHOSTNAME}-dir = all, !skipped, !restored
}
EOF
service bacula-fd restart
