#!/bin/sh
set -e

run_bonnie() {
    ssh $SINGLETON rm -rf ./work
    ssh $SINGLETON mkdir ./work
    ssh $SINGLETON bonnie++ -d./work $*
    result=$?
    if [ "$result" = 0 ]; then
        echo PASS
        result=0
    else
        echo FAIL
        result=1
    fi
    return $result
}

#--- main

ssh $SINGLETON sudo apt-get install -y bonnie++

machine=$(hostname)
case $TEST_TYPE in
    smoke)
        run_bonnie -r0 -s16 -n1:65536:0:16 -m${machine}
        ;;
    full|workload)
        run_bonnie -r256 -s512 -n128:65536:0:10240 -m${machine}
        ;;
    *)
        echo "TEST_TYPE not specified" >&2
        ;;
esac

ssh $SINGLETON sudo apt-get purge -y bonnie++
