#! /bin/bash
#
# Cassandra workload testing automation script
#
set -e

ARCH=$(uname -p)
[[ "$ARCH" =~ "arm" ]] && echo "No ARM packages available, exiting." && exit 1

[ -n "${SERVERS}" ] && CASSANDRA_SERVERS=${SERVERS}
[ -n "${CLIENTS}" ] && YCSB_CLIENTS=${CLIENTS}
if [ -z "${TEST_ARGS}" ]; then
    if [ -z "${SERVERS}" ]; then
        TEST_ARGS="-p hosts=127.0.0.1"
    else
        TEST_ARGS="-p hosts=`echo "${SERVERS}" | tr ' ' ','`"
    fi
fi
[ -z "$WORKLOAD" ] && WORKLOAD=workloada
[ -z "$VERSION" ] && VERSION=10
[ -z "$PACKAGE" ] && PACKAGE=ycsb-0.1.4-beta-0.tar.gz
[ -z "$URL" ] && \
    URL=http://people.canonical.com/~server-workload-testing/$PACKAGE

$PWD/cassandra.py --setup ${CASSANDRA_SERVERS}
$PWD/ycsb.py --setup -p $PACKAGE -u $URL -d cassandra -v $VERSION \
    -w $WORKLOAD -t "${TEST_ARGS}" ${YCSB_CLIENTS}

