#!/bin/sh

set -e
MACHINE="../../scripts/machine_client.py"

#-- build up the environment needed
#
# Machines required:
#   figaro (don't care about spec)
#   otello (don't care about spec)
mach1=$($MACHINE GET)
mach2=$($MACHINE GET)

#-- install packages needed
ssh $mach1 sudo apt-get install -y hello netcat
ssh $mach2 sudo apt-get install -y hello netcat

#-- run the "workload"
ssh $mach1 nc -l 5555 \> /tmp/output \&
ssh $mach2 hello \| nc $mach1 5555

output=$(ssh $mach1 cat /tmp/output)
result=$?
if [ "$result" = 0 ] && [ "$output" = "Hello, world!" ]; then
    echo PASS
    result=0
else
    echo FAIL
    result=1
fi

#-- release the machines
$MACHINE PUT $mach1
$MACHINE PUT $mach2

#-- purge packages used
ssh $mach1 sudo apt-get purge -y hello netcat
ssh $mach2 sudo apt-get purge -y hello netcat

exit $result

