#! /bin/sh
#
# MapReduce Benchmark
#
set -e

# Jar file where test code resides
jar="/usr/share/hadoop/hadoop-test-*.jar"

# Test configuration
[ -n "$MASTER" ] && master_node="--master $MASTER"
[ -n "${SLAVES}" ] && slave_nodes="--slaves ${SLAVES}"
[ -z "${TEST_ARGS}" ] && \
    TEST_ARGS="-maps 12 -reduces 6 -numRuns 2 -baseDir /benchmarks/MRBench-$MASTER"

# Setup and run test
$PWD/hadoop.py setup $master_node $slave_nodes
$PWD/hadoop.py test mrbench --jar $jar $master_node --test-args="${TEST_ARGS}"

