#! /bin/sh
#
# NameNode Benchmark
#
set -e

# Jar file where test code resides
jar="/usr/share/hadoop/hadoop-test-*.jar"

# Test configuration
[ -n "$MASTER" ] && master_node="--master $MASTER"
[ -n "${SLAVES}" ] && slave_nodes="--slaves ${SLAVES}"
[ -z "${TEST_ARGS}" ] && \
    TEST_ARGS="-operation create_write -maps 12 -reduces 6 \
        -blockSize 1 -bytesToWrite 0 -numberOfFiles 1000 \
        -replicationFactorPerFile 3 -readFileAfterOpen true \
        -baseDir /benchmarks/NNBench-$MASTER"

# Setup and run test
$PWD/hadoop.py setup $master_node $slave_nodes
$PWD/hadoop.py test nnbench --jar $jar $master_node --test-args="${TEST_ARGS}"

