#! /bin/sh
#
# Terasort Benchmark
#
set -e

# Jar file where test code resides
jar="/usr/lib/hadoop/hadoop-examples-*.jar"

# Test configuration
[ -n "$MASTER" ] && master_node="--master $MASTER"
[ -n "${SLAVES}" ] && slave_nodes="--slaves ${SLAVES}"
[ -z "${TEST_ARGS}" ] && \
    TEST_ARGS="-Dmapred.map.tasks=20 -Dmapred.reduce.tasks=20"
[ -z "$DATA_SIZE" ] && DATA_SIZE=10000000
[ -z "$GEN_DIR" ] && GEN_DIR=gen_data
[ -z "$SORT_DIR" ] && SORT_DIR=sort_data
[ -z "$VAL_DIR" ] && VAL_DIR=val_data

# Setup and run test
$PWD/hadoop.py setup $master_node $slave_nodes
$PWD/hadoop.py test teragen --jar $jar $master_node \
    --test-args="${TEST_ARGS} $DATA_SIZE $GEN_DIR"
$PWD/hadoop.py  test terasort --jar $jar $master_node \
    --test-args="${TEST_ARGS} $GEN_DIR $SORT_DIR"
$PWD/hadoop.py test teravalidate --jar $jar $master_node \
    --test-args="${TEST_ARGS} $SORT_DIR $VAL_DIR"

