#! /bin/sh
#
# Distributed I/O Benchmark
#
set -e

# Jar file where test code resides
jar="/usr/share/hadoop/hadoop-test-*.jar"

# Test configuration
[ -n "$MASTER" ] && master_node="--master $MASTER"
[ -n "${SLAVES}" ] && slave_nodes="--slaves ${SLAVES}"
[ -z "${TEST_ARGS}" ] && TEST_ARGS="-nrFiles 1 -fileSize 1000"

# Setup and run test
$PWD/hadoop.py setup $master_node $slave_nodes
$PWD/hadoop.py test TestDFSIO $master_node --jar $jar --test-args="-write ${TEST_ARGS}"
$PWD/hadoop.py test TestDFSIO $master_node --jar $jar --test-args="-read ${TEST_ARGS}"
$PWD/hadoop.py test TestDFSIO $master_node --jar $jar --test-args="-clean"

