#! /bin/bash
#
# HBase workload testing automation script
#
set -e

[ -n "$MASTER" ] && master_node="--master $MASTER"

$PWD/hadoop.py setup $master_node
$PWD/hbase.py --setup $master_node

case $TEST_TYPE in
    random)
        $PWD/hbase.py $master_node -t randomWrite -n 1
        $PWD/hbase.py $master_node -t randomRead -n 1
        $PWD/hbase.py $master_node -t randomSeekScan -n 1
        ;;
    sequential)
        $PWD/hbase.py $master_node -t sequentialWrite -n 1
        $PWD/hbase.py $master_node -t sequentialRead -n 1
        ;;
    *) echo "Error: no test type specified" >&2; exit 1 ;;
esac 

