#!/bin/sh

PTSDIR="/root/.phoronix-test-suite"

PTSRESULTS="/tmp/pts-results-`uname -n`-`date +%y%m%d%H%M%S`.tgz"

TESTSUITES="pts/java-scimark2 pts/bork pts/sunflow" 

TESTSUITES_SMOKE="pts/java-scimark2"

JRES="openjdk-7-jre-headless openjdk-6-jre-headless icedtea-7-jre-jamvm icedtea-7-jre-cacao gcj-4.6-jre-headless gcj-4.5-jre-headless"

JRES_SMOKE="default-jre-headless"

ADDITIONAL_PKGS="build-essential"

if [ "$1" = "smoke" ] ; then
    TESTSUITES="$TESTSUITES_SMOKE"
    JRES=$JRES_SMOKE
    echo "Running smoke tests ..." 
elif [ "$1" = "full" ] ; then
    echo "Running all tests ..."
else
   echo "TEST_TYPE not specified" ; exit 1
fi

if ! [ "`sudo id`" = "uid=0(root) gid=0(root) groups=0(root)" ] ; then
    echo "Must be run with sudo priviledges" ; exit 1
fi

sudo apt-get install -y $ADDITIONAL_PKGS

sudo apt-get install -y phoronix-test-suite

sudo cp -Rp dotfile-phoronix-test-suite $PTSDIR

sudo phoronix-test-suite batch-install $TESTSUITES

if ! [ "$MISC_JRE_DO_NOT_COPY" = "" ] ; then

    mkdir /tmp/java/

    wget $MISC_JRE_DO_NOT_COPY -O - | gunzip -c | tar xf - -C /tmp/java/

    sudo mv /etc/alternatives/java /etc/alternatives/java-

    sudo ln -s /tmp/java/*/bin/java /etc/alternatives/java

    sudo apt-get install -y libc6-armel libsfgcc1

    echo "*** "
    
    echo "JAVA VERSION: " ; java -version

    echo "*** "

    export JAVA_HOME=/tmp/java/* sudo phoronix-test-suite batch-run $TESTSUITES

    sudo apt-get purge -y libc6-armel libsfgcc1

    sudo rm -rf /tmp/java/ /etc/alternatives/java

    sudo mv /etc/alternatives/java- /etc/alternatives/java

fi

for JRE in $JRES; do

    sudo apt-get install -y $JRE

    echo "*** "

    echo "JAVA VERSION: " ; java -version

    echo "*** "

    sudo phoronix-test-suite batch-run $TESTSUITES

    sudo apt-get purge -y $JRE

done

sudo tar cvf - $PTSDIR | sudo gzip -c > $PTSRESULTS

# INTERACTIVE: sudo phoronix-test-suite remove-installed-test $TESTSUITES

# sudo apt-get purge -y phoronix-test-suite

# sudo rm -r $PTSDIR

