#!/bin/sh
set -e

sudo apt-get -y install libvirt-bin lxc apt-cacher-ng zookeeper juju

# Manually set my proxy. TODO: make this configurable
http_proxy=http://192.168.12.1:3128/
sed -i "/@proxy.example.net/aProxy: $http_proxy" /etc/apt-cacher-ng/acng.conf
/etc/init.d/apt-cacher-ng restart

mkdir .juju
cat > .juju/environments.yaml <<EOF
environments:
  local:
    type: local
    data-dir: /tmp/local-dev
    admin-secret: b3a5dee4fb8c4fc9a4db04751e5936f4
    default-series: precise
EOF
ssh-keygen -qt rsa -f ~/.ssh/id_rsa -N ''

# Workaround for LP: 914392
sed -i s/oneiric/precise/g /usr/lib/python2.7/dist-packages/juju/lib/lxc/__init__.py

juju bootstrap
cp -a /usr/share/doc/juju/examples .
mv examples/oneiric examples/precise

# Cache an oneiric lxc-create debootstrap from the proxy cache to save
# bandwidth. Q: does setting http_proxy on juju bootstrap have the desired
# effect so we can save doing this? A: it doesn't seem to work. I need to file
# a bug on this.
cat > lxc.conf <<EOF
lxc.network.type=veth
lxc.network.link=test_network
lxc.network.flags=up
EOF
http_proxy=$http_proxy lxc-create -n test_container -t ubuntu -f lxc.conf -- -r precise
lxc-destroy -n test_container

juju deploy --repository=examples local:mysql
juju deploy --repository=examples local:wordpress
juju add-relation wordpress mysql
juju expose wordpress

# TODO: check juju status for success, then check that wordpress is really
# running and can connect to its database.

# This is the line that lxc-create uses in case I need to test it again
# /bin/sh -e /usr/sbin/debootstrap --verbose --components=main,universe --arch=armel --include=dialog,apt,apt-utils,iproute,inetutils-ping,vim,isc-dhcp-client,isc-dhcp-common,ssh,lsb-release,gnupg,netbase,ubuntu-keyring oneiric /var/cache/lxc/oneiric/partial-armel
