#!/bin/bash

# setup the environment prior to installation
export DEBIAN_FRONTEND=noninteractive
sudo debconf-set-selections <<EOF
mysql-server-5.1 mysql-server/root_password password ubuntu
mysql-server-5.1 mysql-server/root_password_again password ubuntu
EOF

BASE_DIR=$PWD

# Install the LAMP stack
sudo apt-get -q -y install lamp-server^ siege
sudo service apache2 restart

# Load the db into mysql
cd test-db/employees_db
mysql --user=root --password=ubuntu -t < employees.sql
# Verify the db
mysql --user=root --password=ubuntu -t < test_employees_md5.sql
cd $BASEDIR

# copy a test file to call through apache
sudo cp psql.php /var/www/

# time to run some local tests
NUM_PROCS=$(fgrep -c processor /proc/cpuinfo) # FIXME: need to keep from overloading test systems
ab -n 100 -c $((NUM_PROCS+2)) http://localhost/psql.php
sudo siege -b --log=./siege.log -r 100 -c $((NUM_PROCS+2)) http://localhost/psql.php

