#!/bin/sh
set -e

#-- assume we are running on the machine to be configured
#   as the mail server

#-- set up the mail server
fqdn=$(hostname -f)
echo > /tmp/$$ <<EOF
postfix	postfix/mailname		string	$fqdn
postfix	postfix/mail_mailer_type	select	Internet Site
EOF
sudo debconf-set-selections /tmp/$$
rm -rf /tmp/$$

sudo env DEBIAN_FRONTEND=noninteractive apt-get install -y dovecot-postfix mailutils

sudo mv ~/10-auth.conf /etc/dovecot/conf.d/
sudo service dovecot restart

#-- set up the users needed
cat ~/newusers.list | \
while read line
do
	name=$(echo $line | cut -d: -f1)
	homedir=$(echo $line | cut -d: -f6)
	shell=$(echo $line | cut -d: -f7)
	sudo adduser --home $homedir --shell $shell --disabled-login $name <<XYZ






XYZ
	echo "$name:iforgot" | sudo chpasswd
done

