#!/bin/sh
#
#	initial set up for keystone
#
#

set -e
#set -x

. ./envvars.sh

#-- create endpoints for the services
keystone service-create --name nova --type compute --description "OpenStack Compute Service"
keystone service-create --name swift --type object-store --description "OpenStack Storage Service"
keystone service-create --name glance --type image --description "OpenStack Image Service"
keystone service-create --name keystone --type identity --description "OpenStack Identity Service"
keystone service-create --name ec2 --type ec2 --description "OpenStack EC2 Service"
keystone service-create --name volume --type volume --description "OpenStack Volume Service"

#-- create an endpoint for each service
for SERVICE in NOVA SWIFT GLANCE KEYSTONE EC2 VOLUME
do
	ID=$(keystone service-list | grep -i $SERVICE | awk '{print $2}')
	PUBLIC=$(eval echo \$${SERVICE}_PUBLIC_URL)
	ADMIN=$(eval echo \$${SERVICE}_ADMIN_URL)
	INTERNAL=$(eval echo \$${SERVICE}_INTERNAL_URL)
	keystone endpoint-create --region $REGION --service_id $ID --publicurl $PUBLIC --adminurl $ADMIN --internalurl $INTERNAL
done

