#!/bin/sh
#
#	initial set up for glance
#
#

set -e
#set -x

. ./envvars.sh
if [ ! -d ./images ]
then
	mkdir ./images
fi
dir=$(pwd)

TTYLINUX=ttylinux-uec-amd64-12.1_2.6.35-22_1
TARBALL=${TTYLINUX}.tar.gz
AMI=http://smoser.brickies.net/ubuntu/ttylinux-uec/$TARBALL

#-- grab a test image
cd ./images
wget -N $AMI
tar -zxvf $TARBALL

#-- add the kernel to glance
KERNEL_ID=$(glance add name="tty-linux-kernel" disk_format=aki container_format=aki < ${TTYLINUX}-vmlinuz | grep "Added new image" | awk '{print $6}')

#-- add the ramdisk to glance
RAMDISK_ID=$(glance add name="tty-linux-ramdisk" disk_format=ari container_format=ari < ${TTYLINUX}-loader | grep "Added new image" | awk '{print $6}')

#-- add the AMI to glance
glance add name="tty-linux" disk_format=ami container_format=ami \
   kernel_id=$KERNEL_ID ramdisk_id=$RAMDISK_ID < ${TTYLINUX}.img

#-- get and upload a raw image file
RAWIMG=ubuntu-11.10-server-cloudimg-amd64-disk1.img
RAWURL=http://uec-images.ubuntu.com/releases/11.10/release/$RAWIMG
wget -N $RAWURL

glance add name="Ubuntu 11.10 Oneiric amd64" \
   is_public=true container_format=ovf disk_format=qcow2 < $RAWIMG

#-- all done
cd $dir

#-- show the result
glance index

