#!/bin/sh
#
#	initial set up for nova s3
#
# NB: this must be run on the machine providing nova-volume
# This script also assumes that what we're doing is using dd to create
# blank "disks" and exporting those.  This is NOT recommended for
# performance reasons
#

set -e
#set -x

. ./envvars.sh

#-- install the proper packages
sudo apt-get install -y lvm2

#-- create a fake disk in a sparse file
S3DIR=/data/s3
S3NAME=$S3DIR/nova-volume.disk
S3SIZE=100G
sudo dd if=/dev/zero of=$S3NAME bs=1 count=0 seek=$S3SIZE

#-- create the loopback device
LOOP=$(sudo losetup -f)
sudo losetup -f $S3NAME

#-- create the proper logical volumes -- the name used is
#   NOT changeable
sudo pvcreate $LOOP
sudo vgcreate nova-volumes $LOOP

