#!/bin/sh
#
#	initial set up for nova data base
#
#

set -e
#set -x

. ./envvars.sh

LOCAL_USER="'$NOVA_DB_USER'@'localhost'"
REMOTE_USER="'$NOVA_DB_USER'@'%'"
PASS="'$NOVA_DB_PASS'"

#-- kill the old nova DB
mysql -f -u $MYSQL_ADMIN -p$MYSQL_PASS <<EOF
DROP DATABASE $NOVA_DB;
DROP USER $LOCAL_USER;
DROP USER $REMOTE_USER;
EOF

#-- create the db to be used
mysql -u $MYSQL_ADMIN -p$MYSQL_PASS <<EOF
CREATE DATABASE $NOVA_DB;
CREATE USER $LOCAL_USER IDENTIFIED BY $PASS;
GRANT ALL PRIVILEGES on ${NOVA_DB}.* TO $LOCAL_USER WITH GRANT OPTION;
CREATE USER $REMOTE_USER IDENTIFIED BY $PASS;
GRANT ALL PRIVILEGES on ${NOVA_DB}.* TO $REMOTE_USER IDENTIFIED BY $PASS;
FLUSH PRIVILEGES;
EOF

