#!/bin/sh
#
#	try out some basic functionality on nova
#

set -e
#set -x

. ~/creds/openrc

#-- get a test image to play with
if [ ! -d images ]
then
	mkdir images
fi
dir=$(pwd)
cd images
TARBALL=oneiric-server-cloudimg-amd64.tar.gz
wget -N http://cloud-images.ubuntu.com/server/oneiric/current/$TARBALL

#-- publish the image to glance via the API
cloud-publish-tarball $TARBALL oneiric
cloud-publish-tarball $TARBALL canonical-oneiric

#-- list out what we have
euca-describe-images

#-- open up ICMP and ssh access to anyone
euca-authorize -P icmp -t -1:-1 default
euca-authorize -P tcp -p 22 -s 0.0.0.0/0 default

