#!/bin/sh
#
#	try out some basic functionality on nova
#

set -e
#set -x

. ~/creds/openrc

#-- find the ami ID we need
AMI=$(euca-describe-images | grep ami- | grep canonical-oneiric | awk '{print $2}')
echo AMI: $AMI

#-- run an instance
euca-run-instances -k testkey $AMI

#-- ping the instance
INST=$(euca-describe-instances | grep INSTANCE | awk '{print $2}')
INST_IP=$(euca-describe-instances | grep INSTANCE | awk '{print $16}')
echo "Pausing to let VM start up...."
sleep 5
ping -c10 $INST_IP

##-- get a public address
PUBLIC_IP=$(euca-allocate-address | awk '{print $2}')
euca-associate-address $PUBLIC_IP -i $INST

#-- and you should see a new IP address here
euca-describe-instances

#-- so do a test ping
ping -c10 $PUBLIC_IP

#-- verify you can connect to the system
echo
echo "You should now be able to connect to the instance with the following"
echo "command (no password needed):"
echo
echo "   $ ssh -i ~/creds/testkey.priv ubuntu@$INST_IP"
echo

