#!/bin/sh
#
#	add more nova compute nodes
#
# NB: you MUST have a user account on those nodes that will allow
# you to (1) ssh without a password, and (2) sudo without a password.
# Not normal, but there you go.
#
# If you would rather NOT do that, then copy the script new-nova-compute.sh
# to each machine you want to add, ssh to the machine, and execute it.  You
# will need sudo to be able to have the script succeed.
#

set -e
#set -x

. ./envvars.sh

#-- check parameters:
#  $1    => user name to use for ssh (must be able to login without password)
#  $2-$n => machine names (or addresses) for each machine to be added as
#           a nova-compute node
#
if [ $# -lt 2 ]
then
	echo "usage: $0 <username> <hostname> [<hostname> ...]"
	exit 1
fi
USER=$1
shift
HOSTS="$*"

#-- copy over the handy script and execute it on each host
TARBALL=conf.tar.gz
sudo tar -C /etc -cvzf conf.tar.gz nova
for ii in $HOSTS
do
	echo "adding $ii..."
	scp add-nova-node.sh $USER@$ii:/tmp
	scp conf.tar.gz $USER@$ii:/tmp
	ssh $USER@$ii /tmp/add-nova-node.sh
done

#-- see if the new nodes are there
sleep 3
euca-describe-availability-zones verbose

