#!/bin/sh
#
#	add node to nova compute nodes
#
#

set -e
#set -x

#-- install the right packages
sudo apt-get install -y nova-compute nova-api nova-network python-keystone

#-- pick up the conf files and unpack them
TARBALL=/tmp/conf.tar.gz
if [ -f $TARBALL ]
then
	sudo tar -C /etc -xvzf $TARBALL
	sudo chown nova.nova /etc/nova/nova.conf
	rm -f $TARBALL
else
	echo "E: cannot find config files"
	exit 1
fi

#-- fix some permissions, just in case
sudo chown -R nova.nova /var/lib/nova

#-- restart the nova services
SVCS="nova-api nova-compute nova-network"
for ii in $SVCS
do
	sudo service $ii restart
done

