#!/bin/sh
#
#	remove volume for nova s3
#
# NB: this must be run on the machine providing nova-volume
# This script also assumes that what we're doing is using dd to create
# blank "disks" and exporting those.  This is NOT recommended for
# performance reasons
#

set -e
#set -x

#-- figure out the loopback device
S3DIR=/data/s3
S3NAME=$S3DIR/nova-volume.disk
LOOP=$(sudo losetup -a | grep $S3NAME | awk '{print $1}' | sed 's/://')

#-- delete the proper logical volumes -- the name used is
#   NOT changeable
sudo vgremove nova-volumes
sudo pvremove $LOOP

#-- kill the loopback device and destroy the sparse file
sudo losetup -d $LOOP
sudo rm -f $S3NAME

#-- remove the proper packages
sudo apt-get purge -y lvm2

