#!/bin/sh

PTSDIR="/root/.phoronix-test-suite"
PTSRESULTS="/tmp/pts-results-`uname -n`-`date +%y%m%d%H%M%S`.tgz"

TESTSUITES_SYS="pts/apache pts/phpbench pts/pybench"
TESTSUITES_CPU="pts/scimark2 pts/java-scimark2 pts/openssl pts/byte pts/cachebench" 
TESTSUITES_MEM="pts/ramspeed pts/stream"
TESTSUITES_IO="pts/tiobench pts/dbench pts/fs-mark pts/hdparm-read pts/iozone pts/postmark pts/network-loopback" 

TESTSUITES_SMOKE="pts/phpbench pts/scimark2 pts/java-scimark2 pts/cachebench pts/stream pts/network-loopback"

TESTSUITES_ALL="$TESTSUITES_SYS $TESTSUITES_CPU $TESTSUITES_MEM $TESTSUITES_IO"

ADDITIONAL_PKGS=" unzip build-essential default-jre-headless"

if [ "$1" = "smoke" ] ; then
    TESTSUITES="$TESTSUITES_SMOKE" ; echo "Running smoke tests ..." ;
elif [ "$1" = "full" ] ; then
    TESTSUITES="$TESTSUITES_ALL" ; echo "Running all tests ..." ;
else
   echo "TEST_TYPE not specified" ; exit 1
fi

if ! [ "`sudo id`" = "uid=0(root) gid=0(root) groups=0(root)" ] ; then
    echo "Must be run with sudo priviledges" ; exit 1
fi

sudo apt-get install -y $ADDITIONAL_PKGS

sudo apt-get install -y phoronix-test-suite

sudo cp -Rp dotfile-phoronix-test-suite $PTSDIR

sudo phoronix-test-suite batch-install $TESTSUITES

sudo phoronix-test-suite batch-run $TESTSUITES

sudo tar cvf - $PTSDIR | sudo gzip -c > $PTSRESULTS

# INTERACTIVE: sudo phoronix-test-suite remove-installed-test $TESTSUITES

# sudo apt-get purge -y phoronix-test-suite

# sudo rm -r $PTSDIR

