
import biggles
import HTMLgen
import os
import os.path

class HtmlPage:

    def __init__(self, bmark, htmldir, title):
	self.bmark = bmark
	if not os.path.exists(htmldir):
	    os.makedirs(htmldir)
	self.htmldir = htmldir
	self.imgdir = 'graphs'
	if not os.path.exists(os.path.join(self.htmldir, self.imgdir)):
	    os.makedirs(os.path.join(self.htmldir, self.imgdir))
	self.title = title
	self.doc = HTMLgen.SimpleDocument(title=title)
	self.doc.append(HTMLgen.Heading(1, title))
	self.table = None
	self.g = biggles.FramedPlot()
	self.curves = []
        return

    def add_table(self, td, title, columns):
	tbl = HTMLgen.Table(title,
			    heading=columns,
			    heading_color= ['lightgray',
					    'lightgray',
					    'lightgray',
					   ],
			    body=td,
			   )
	self.table = tbl
	return

    def add_graph(self, title):
	self.g = biggles.FramedPlot()
	self.g.aspect_ratio = 1
	self.g.title = title
	self.g.frame1.draw_grid = 1
	return

    def add_graph_labels(self, x, y):
	self.g.xlabel = x
	self.g.ylabel = y
	return

    def add_graph_curve(self, x, y, label):
	rx, Rx = 0, 0
	ry, Ry = 0, 0
	if self.g.xrange:
	    rx, Rx = self.g.xrange
	if self.g.yrange:
	    ry, Ry = self.g.yrange
	mx = min(min(x), rx)
	my = min(min(y), ry)
	Mx = max(max(x), Rx)
	My = max(max(y), Ry) * 1.2
	self.g.xrange = mx, Mx
	self.g.yrange = my, My
	c = biggles.Curve(x, y)
	c.label = label
	self.curves.append(c)
	self.g.add(c)
	return

    def write_graph(self, filename):
	key = biggles.PlotKey(.1, .9, self.curves)
	self.g.add(key)
	self.g.write_img(800, 450, 
			 os.path.join(self.htmldir, self.imgdir, filename)
			)
	img = HTMLgen.Image((os.path.join(self.imgdir, filename), 800, 450))
	self.doc.append(img)
	self.doc.append(self.table)
	return

    def write(self):
	self.doc.write(os.path.join(self.htmldir,
		       		    '%s-duration.html' % self.bmark)
		      )
	return


