
class InstantiationError(RuntimeError):
    pass

class DataCollection:

    def __init__(self):
        '''connect to the collection of benchmark data'''
	return

    def get_benchmarks(self):
	'''return a list of benchmarks we know about in this data
	   collection'''
	raise NotImplementedError

    def entry_exists(self, bmark, entry):
	'''does an entry exist with the given name? return a True
	   or False'''
	raise NotImplementedError

    #-- methods to handle entries in the collection
    def get_entry_list(self, bmark):
	'''if there are entries for the benchmark, return a list of them'''
	raise NotImplementedError

    def add_entry(self, bmark, entry):
	'''if the entry of the given name does not exist, create it.
           return True if successful.'''
	raise NotImplementedError

    def delete_entry(self, bmark, entry):
	'''if the entry of the given name exists, remove it from
	   the collection'''
	raise NotImplementedError

    #-- methods to handle blobs associated with each entry
    def entry_blob_exists(self, bmark, entry, blob_name):
        '''see if a blob is already there or not'''
	raise NotImplementedError

    def get_entry_blobs_list(self, bmark, entry):
	'''return a list of known data blobs'''
	raise NotImplementedError

    def get_entry_blob(self, bmark, entry, blob_name):
	'''return a specific data blob'''
	raise NotImplementedError

    def add_entry_blob(self, bmark, entry, blob_name, blob):
	'''add a data blob to an entry'''
	raise NotImplementedError

    def delete_entry_blob(self, bmark, entry, blob_name):
	'''if the blob for the entry of the given name exists, remove it
	   from the entry'''
	raise NotImplementedError

