#!/bin/sh
set -ex

cleanup() { rm -Rf corpus src dst; }
trap cleanup EXIT INT TERM

# rand is in universe
sudo DEBIAN_FRONTEND=noninteractive apt-get -y install rand rsync

# generate a determinstic test corpus
rand -s 0 -N 10000000 > corpus

# basic copy test

mkdir src
cp corpus src/
rsync -a src/ dst/
if ! cmp src/corpus dst/corpus; then
    echo rsync failed
    exit 1
fi

# delta test

echo -n X|dd seek=42 bs=1 of=src/corpus conv=notrunc  # change one byte
echo -n Y|dd seek=52294372 bs=1 of=src/corpus conv=notrunc  # change high byte
rsync -avc src/ dst/
if ! cmp src/corpus dst/corpus; then
    echo rsync failed
    exit 2
fi
