
import os
import os.path
import subprocess
import sys
import tempfile
import yaml

# NB: this is the jenkinsapi module, not the module from
# the python-jenkins package which is called 'jenkins'.  It
# does not appear to be packaged yet but can be installed
# with:
#
#   # easy_install jenkinsapi
#
from jenkinsapi import jenkins

import hwpool


class JenkinsAPI(hwpool.HardwarePool):

    def __init__(self, args):
        self.url = args.jenkins_url
        self.username = args.jenkins_username
        self.password = args.jenkins_password
        self.jenkins = jenkins.Jenkins(self.url, self.username, self.password)

    def get_available_machines(self, tags):
        '''call the JSON API to see which nodes are available,
           but do not use the master node'''
        # TODO: what do we do with the tags?
        nodes = self.jenkins.get_node_dict().keys()
        return filter(lambda x: x != 'master', nodes)

    def instantiate_machines(self, machines, keywords):
        '''since we're using Jenkins slaves, they are already
           up and running and available so there's nothing for
           us to do here -- they have already been instantiated'''
        # TODO: what do we do with the keywords?
        return


hwpool.hwpool = JenkinsAPI
