

class InstantiationError(RuntimeError):
    pass


class HardwarePool:

    def __init__(self, args):
        '''pass in the arguments that were parsed, in case the
           subclass needs them'''
        return

    def get_available_machines(self, tags):
        '''return a list of machine names that can be used'''
        raise NotImplementedError

    def instantiate_machines(self, machines, keywords):
        '''for each machine in the list, make it ready for use, whether
           that means install it, create a new VM, or whatever the case
           may be'''
        raise NotImplementedError


hwpool = HardwarePool
