#!/usr/bin/env python
#

import ConfigParser
import socket
import sys
import os
import os.path
import time

SERVER   = 'server'
MACHINES = 'machines'

def get_config(opts):
   config = {}

   def home_path():
      return os.getenv('HOME')
   def default_server():
      return 'localhost:21003'
   def default_machines():
      return ['localhost']

   cfg = ConfigParser.ConfigParser()
   confbase = 'machines.conf'
   conffile = ''
   if os.path.exists(confbase):
      conffile = confbase
   elif os.path.exists(os.path.join(home_path(), confbase)):
      conffile = os.path.join(home_path(), confbase)
   else:
      print 'E: cannot find a machines.conf file'
      sys.exit(1)
   cfg.read(conffile)

   if cfg.has_section(MACHINES) == False:
      print 'E: unsupported machine configuration file format'
      sys.exit(1)

   for opt in opts:
      try:
         if opt in MACHINES:
            config[opt] = cfg.get(MACHINES, opt).split()
         else:
            config[opt] = cfg.get(MACHINES, opt)
      except ConfigParser.NoOptionError:
         config[opt] = locals()['default_%s' % opt]()

   return config

def main():
   retval = 0
   opts = [SERVER, MACHINES]
   config = get_config(opts)
   
   host = config[SERVER].split(':')[0]
   port = config[SERVER].split(':')[1]
   info = socket.getaddrinfo(host, port)
   sockaddr = info[2][4]
   sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
   sock.connect(sockaddr)

   if len(sys.argv) > 1:
      cmd = ' '.join(sys.argv[1:])
   else:
      cmd = 'GET'
   sock.send(cmd)

   received = sock.recv(1024)
   if len(received) > 0:
      print received

   sock.close()

   return retval

retval = 0
if __name__ == '__main__':
   retval = main()

sys.exit(retval)
