#!/bin/sh
set -ex

get_host_ip() {
    ssh $1 ip addr show primary dev eth0|sed -n 's!^\s*inet \(.*\)\/.*$!\1!p'
}

server_host=$SERVERS
squid_host=$CACHE
client_host=$CLIENTS

server_ip=`get_host_ip $server_host`
squid_ip=`get_host_ip $squid_host`
client_ip=`get_host_ip $client_host`

simple_pg_file=`mktemp`
cleanup() { rm -f $simple_pg_file; }
trap cleanup EXIT INT TERM
sed "s/127.0.0.1:9090/$server_ip:9090/" simple.pg > $simple_pg_file
sed -i "s/127.0.0.1/$client_ip/" $simple_pg_file

scp server.sh $server_host:
scp $simple_pg_file $server_host:simple.pg
ssh $server_host sh server.sh

scp squid.sh $squid_host:
ssh $squid_host client_ip=$client_ip sh squid.sh

scp client.sh $client_host:
scp $simple_pg_file $client_host:simple.pg
ssh $client_host squid_ip=$squid_ip sh client.sh
